ExtendedEqualProbabilitiesBinomialTree< T > Class Template Referenceabstract
Lattice methods

Base class for equal probabilities binomial tree. More...

`#include <ql/experimental/lattices/extendedbinomialtree.hpp>`

Inheritance diagram for ExtendedEqualProbabilitiesBinomialTree< T >:
[legend]

## Public Member Functions

| ExtendedEqualProbabilitiesBinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size) const
Public Member Functions inherited from ExtendedBinomialTree< T >
| ExtendedBinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const
Public Member Functions inherited from Tree< T >
| Tree (Size columns)
Size | columns () const

## Protected Member Functions

virtual Real | upStep (Time stepTime) const =0
Protected Member Functions inherited from ExtendedBinomialTree< T >
Real | driftStep (Time driftTime) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< T >
T & | impl ()
const T & | impl () const

## Protected Attributes

Real | up_
Protected Attributes inherited from ExtendedBinomialTree< T >
Real | x0_
Time | dt_
ext::shared_ptr< StochasticProcess1D > | treeProcess_

## Additional Inherited Members

Public Types inherited from ExtendedBinomialTree< T >
enum | Branches { branches = 2 }

## Detailed Description

### template<class T>
class QuantLib::ExtendedEqualProbabilitiesBinomialTree< T >

Base class for equal probabilities binomial tree.